curl --request GET \
--url https://int-data.moneydesktop.com/goals \
--header 'MD-SESSION-TOKEN: <api-key>'import requests
url = "https://int-data.moneydesktop.com/goals"
headers = {"MD-SESSION-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'MD-SESSION-TOKEN': '<api-key>'}};
fetch('https://int-data.moneydesktop.com/goals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"goals": [
{
"account_guid": "ACT-4e431124-4a29-abf9-f059-ab232ac14dbf",
"amount": 4500,
"current_amount": 1651.27,
"guid": "GOL-524ca5db-a2d5-44f3-b048-16de16059024",
"goal_type_name": "string",
"meta_type_name": "VACATION",
"name": "Save for Europe.",
"completed_at": "2015-06-19T10:37:04-06:00",
"has_been_spent": false,
"is_complete": false,
"metadata": "Additional information",
"position": 3,
"projected_to_complete_at": "2022-06-14T16:03:53.000Z",
"user_guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c",
"track_type_name": "SAVINGS_TRACK"
}
]
}List goals
Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Response
OK
Hide child attributes
Hide child attributes
Unique identifier for the goal. Defined by MX.
"ACT-4e431124-4a29-abf9-f059-ab232ac14dbf"
The amount of the goal.
4500
The current amount of the goal.
1651.27
Unique identifier for the goal. Defined by MX.
"GOL-524ca5db-a2d5-44f3-b048-16de16059024"
The type of goal. Can be SAVE_AMOUNT or PAYOFF.
"string"
The category of the goal; see Goal Meta Type for more information.
"VACATION"
The name of the goal that is visible to the user (i.e., "Europe Trip", "Savings", "Toyota Tacoma", etc).
"Save for Europe."
Date and time the goal was completed, represented in ISO 8601 format with timestamp (e.g. 2015-04-13T12:01:23-00:00).
"2015-06-19T10:37:04-06:00"
If the goal has been spent, this field will be true. Otherwise, this field will be false.
false
If the goal is complete, this field will be true. Otherwise, this field will be false.
false
Additional information a partner can store on the goal.
"Additional information"
The priority of the goal in relation to multiple goals.
3
Date and time the goal is projected to be completed, represented in ISO 8601 format with timestamp (e.g. 2015-04-13T12:01:23-00:00).
"2022-06-14T16:03:53.000Z"
Unique identifier for the user the goal is attached to. Defined by MX.
"USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
The track of the goal. Can be DEBT_TRACK, SAVINGS_TRACK, RETIREMENT_TRACK, or EMERGENCY_FUND_TRACK.
"SAVINGS_TRACK"

